Bug 122833 - rpm -Uvh complains about /etc/security/selinux/file_contexts
rpm -Uvh complains about /etc/security/selinux/file_contexts
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2004-05-08 18:39 EDT by H.J. Lu
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-10 09:06:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description H.J. Lu 2004-05-08 18:39:36 EDT
When I use

# rpm -Uvh disc3/Fedora/RPMS/postfix-2.0.18-4.x86_64.rpm

I got many

/etc/security/selinux/file_contexts:  invalid context 
root:object_r:staff_home_xauth_t on line number 1853
/etc/security/selinux/file_contexts:  invalid context 
system_u:object_r:default_context_t on line number 1854
/etc/security/selinux/file_contexts:  invalid context 
system_u:object_r:amanda_recover_dir_t on line number 1855
/etc/security/selinux/file_contexts:  invalid context 
system_u:object_r:staff_home_spamassassin_t on line number 1856
Comment 1 Jeff Johnson 2004-07-10 09:06:53 EDT
This is a policy, not an rpm, problem.
Comment 2 Christopher Heiny 2004-07-10 12:36:46 EDT
Well, if it's not an RPM problem, transfer it to whoever is 
responsible for the policy.  Don't mark it as "WONTFIX" just because 
you personally won't fix it.  Grumble. 

Note You need to log in before you can comment on or make changes to this bug.